body {
    background-image: url(../images/melody-gen-bg.png);
    background-size: 120% 120%;
    background-position: -20px -48px;
}
section.control-panel {
    margin-top: 100px;
  
}

.tab-content {
    padding: 0 7%;
}

.tab-content{
    display:none;
}



.tab-content.active{
    display:block;
}

.tab {
    margin-top: -38px;
}

.tab button{
   
    background:linear-gradient(180deg, rgba(255, 255, 255, 0.4), rgba(179, 179, 179, 0.4), rgba(179, 179, 179, 0.3));
    color: white;
    font-family: 'Lato';
    width: 280px;
    font-size: 14px;
    border-radius: 15px 15px 0px 0px;
}

button.tablinks.active {
      background: #ffffff52;
}



form.flex-row {
    align-items: center;
}
.modal form.flex-row {
    flex-grow: 0;
    justify-content: space-around;
    min-height: 23vh;
}
.pad {
    background: rgba(255, 255, 255, 0.13);
    border: 1px solid #FFFFFF9e;
    border-radius: 8px;
    padding: 10px;
    text-align: center;
    font-weight: 200;
    min-height: 70px;
    margin-top: 8px;
}
.chord-brick {
    /*width: 60px;*/
    height: 30px;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.39) 0%, rgba(255, 255, 255, 0.16) 100%);
    border-radius: 6px;
    text-align: center;
    line-height: 32px;
    font-family: 'Josefin Sans', sans-serif;
    font-weight: 400;
    text-shadow: 0 0 6px #00000052;
    margin: 0 3px;
}

#chordPad  .chord-brick {
    width: calc(25% - 2px);
    height: 30px;
    margin: 0 2px 3px 0;
}

#chordPad {
    min-width: 264px;
    flex-wrap: wrap;
    justify-content: flex-start;
}



.chord-brick.faux-select {
    height: 38px;
    line-height: 42px;
    border-bottom: none;
    padding: 0 32px 0 10px;
}
.chord-brick.faux-select:before {
    right: 12px;
    bottom: 15px;
}
.brick-container {
    background: linear-gradient(360deg, rgba(1, 0, 69, 0.65) 0%, rgba(1, 0, 69, 0.37) 100%);
    border-radius: 5px 42px 42px 5px;
    height: 58px;
    padding: 0 16px;
}

.invisible {
    display: none;
    /* opacity: 0; */
}

.visible {
    display: block;
    /* opacity: 1; */
}

#itemsContainer {
    display: flex;
}

.optionsHide {
    display: none;
}

.item .faux-select .selected-option, .item .faux-select .drop {
    font-size: 17px;
}

.caret-hidden .chord-brick.faux-select:before{
    content:none;
}

.caret-hidden .chord-brick.faux-select {
    padding: 0 26px;
}

.items4{
    width:24%;    
}

.items5{
    width:19%;
}

.items6{
    width:15.6%;
}

.items7{
    width:13.2%;
}

.items8{
    width:11.5%;
}

.items9{
    width:10.1%;
}

.items10{
    width:9%;
}

.items11{
    width:8%;
}

.items12{
    width:7%;
}

.chord-prog-prompt {
    
    text-align: right;
    padding: 0 20px 0 0;
}

.justify-center{
    justify-content: center !important;
}

a.open-modal.chord-initial {
    cursor: pointer;
    margin-top: 23px;
}

.legend {
    display: flex;
    flex-direction: row;
    margin: 40px 20px 0px 20px;
}

.legend-item {
    margin-right: 20px;
    flex-direction: row;
    display: flex;
}
.legend-square {
    display: block;
    border-radius: 6px;
    width: 20px;
    height: 20px;
    margin-right: 5px;
}

.legend-melody {
    background: linear-gradient(360deg, #ae72d5, #cdb0ed);
}
.legend-chords {
    background: linear-gradient(360deg, #c0c1c4, #eaeaec);
}
.legend-bass {
    background: linear-gradient(360deg, #4080C9, #86add9);
}
.legend-extra{
    background: linear-gradient(360deg, #0dc9c0, #86deda);
}


.coming-soon {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    min-height: 28vh;
    font-size: 28px;
    font-weight: 600;
}

.generations-wrapper {
    /* max-width: 1600px; */
    display: flex;
    justify-content: center;
    flex-direction: row;
    height: 100%;
    padding: 0 60px;
}

.generation-text {
    text-align: left;
    width: 30%;
}
.generations-list {
    overflow-y: scroll;
    display: flex;
    padding: 0px 40px;
    flex-grow: 1;
 
}
.generations-list ul {
    font-size: 20px;
    list-style-type: none;
}

.generations-list ul li {
    margin-bottom: 11px;
    border-bottom: solid 1px #3d4448;
    padding-bottom: 10px;
}

.generations-list span {
    margin: 0 33px;
}

.generations-list button {
    font-size: 14px;
    padding: 0 20px;
    margin: 0 5px;
}

.rythmacco {
    background: rgba(255, 255, 255, 0.13);
    border: 1px solid #FFFFFF9e;
    border-radius: 8px;
    padding: 10px;
    height: 100%;
}

.rythmacco div{
    margin: 5px 20px;
}

.rythmacco .faux-select {
    font-size: 22px;
}


.beta-elements, .dis-element{
    pointer-events:none;
    opacity:0.6;
}



.mute-controls {
    display: flex;
    flex-direction: row;
    margin: 40px 20px 0px 20px;
}

.mute-controls div {
    margin-right: 15px;
}

.checkbox-container.small-text {
    font-weight: 300;
    font-size: 14px;
    pointer-events: none;
}
.checkbox-container {
    display: block;
    position: relative;
    padding-left: 23px;
    cursor: pointer;
    font-weight: 800;
    font-size: 28px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.checkbox-container.small-text .checkmark {
    top: 2px;
}
.checkmark {
    position: absolute;
    top: 11px;
    pointer-events: all;
    left: 0;
    height: 11px;
    width: 11px;
    border: 1px solid #fff;
}

section.controls {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}